/*! firebase-admin v5.4.2 */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var firestore_1 = require("./firestore");
var firebase = require("../default-namespace");
var firestoreNamespace = require("@google-cloud/firestore");
var _ = require("lodash/object");
/**
 * Factory function that creates a new Firestore service.
 *
 * @param {Object} app The app for this service.
 * @param {function(Object)} extendApp An extend function to extend the app namespace.
 *
 * @return {Firestore} The Firestore service for the specified app.
 */
function serviceFactory(app, extendApp) {
    return firestore_1.initFirestoreService(app);
}
/**
 * Handles app life-cycle events.
 *
 * @param {string} event The app event that is occurring.
 * @param {FirebaseApp} app The app for which the app hook is firing.
 */
var appHook = function (event, app) {
    return;
};
function default_1() {
    return firebase.INTERNAL.registerService('firestore', serviceFactory, _.assign({}, firestoreNamespace), appHook);
}
exports.default = default_1;
